Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 336827 - dev-libs/libsigc++:1.0 does not respect LDFLAGS
Summary: dev-libs/libsigc++:1.0 does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: GNOME C++ Bindings Maintainers (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-09-11 14:15 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2010-09-13 11:40 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (libsigc++-1.0.4-r3:20100911-034257.log,34.15 KB, text/plain)
2010-09-11 14:16 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-11 14:15:48 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-11 14:16:15 UTC
Created attachment 246856 [details]
Build log
Comment 2 Rémi Cardona gentoo-dev 2010-09-11 16:28:20 UTC
Isn't this the best of times to get rid of the versions still in that slot?

Cheers
Comment 3 Pacho Ramos gentoo-dev 2010-09-11 22:28:53 UTC
I searched in portage tree and saw that some other ebuilds are still depending on this old slot (like gtkmm-1 and others), but maybe we could try to get rid of them also :-/
Comment 4 Pacho Ramos gentoo-dev 2010-09-12 13:04:12 UTC
This is required by:
dev-cpp/gtkmm/gtkmm-1.2.9-r2.ebuild (nothing looks to require it)
media-libs/atlas-c++/atlas-c++-0.4.5.ebuild (this old version should be dropped if possible)
net-libs/libicq2000 (required by media-plugins/vdr-vdricq) -> maybe its depend could be updated to 1.2 slot...
Comment 5 Pacho Ramos gentoo-dev 2010-09-13 11:40:27 UTC
+  13 Sep 2010; Pacho Ramos <pacho@gentoo.org> libsigc++-1.0.4-r3.ebuild:
+  Respect LDFLAGS, bug #336827 (reported by Flameeyes). Thanks to Dane Smith
+  for providing a similar fix for app-misc/ithought in bug #333527.
+